> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pureframe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> List all collections in the authenticated org, ordered by creation date.



## OpenAPI

````yaml /openapi.json get /v1/collections
openapi: 3.1.0
info:
  title: Pureframe API
  version: v1
  description: >-
    The Pureframe API lets you upload videos, index them for semantic search,
    and retrieve timestamped clips matching text queries or reference images.
    All endpoints require a Bearer API key (`Authorization: Bearer pf_...`).
  contact:
    url: https://pureframe.ai
    email: hello@pureframe.ai
  x-logo:
    url: https://pureframe.ai/logo.png
servers:
  - url: https://api.pureframe.ai
    description: Production
security: []
tags: []
paths:
  /v1/collections:
    get:
      tags:
        - Collections
      summary: List Collections
      description: List all collections in the authenticated org, ordered by creation date.
      operationId: list_collections_v1_collections_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_CollectionListItem__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_CollectionListItem__:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CollectionListItem'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - data
        - meta
      title: ApiResponse[list[CollectionListItem]]
    CollectionListItem:
      properties:
        id:
          type: string
          title: Id
        user_id:
          type: string
          title: User Id
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        video_count:
          type: integer
          title: Video Count
        thumbnail_urls:
          items:
            type: string
          type: array
          title: Thumbnail Urls
      type: object
      required:
        - id
        - user_id
        - name
        - created_at
        - video_count
        - thumbnail_urls
      title: CollectionListItem
    Meta:
      properties:
        request_id:
          type: string
          title: Request Id
        took_ms:
          type: number
          title: Took Ms
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page
        per_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Per Page
        facets:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  type: integer
                type: object
              type: object
            - type: 'null'
          title: Facets
      type: object
      required:
        - request_id
        - took_ms
      title: Meta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````